## mx4j.tools.remote.soap.axis.ser
Class AxisSerializer

    java.lang.Object
      mx4j.tools.remote.soap.axis.ser.AxisSerializer

All Implemented Interfaces:
  java.io.Serializable, org.apache.axis.encoding.Serializer, javax.xml.rpc.encoding.Serializer

Direct Known Subclasses:
  AttributeListSer, AttributeSer, MBeanAttributeInfoSer, MBeanConstructorInfoSer, MBeanInfoSer, MBeanNotificationInfoSer, MBeanOperationInfoSer, MBeanParameterInfoSer, NotificationFilterSupportSer, NotificationResultSer, NotificationSer, ObjectInstanceSer, ObjectNameSer, PrincipalSer, RelationTypeSupportSer, RoleInfoSer, RoleListSer, RoleResultSer, RoleSer, RoleUnresolvedListSer, SetSer, SubjectSer, TargetedNotificationSer

public abstract class AxisSerializer
extends java.lang.Object
implements org.apache.axis.encoding.Serializer

Version:
  $Revision: 1.4 $
See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` `SCHEMA_ALL`
`protected static java.lang.String` `SCHEMA_COMPLEX_TYPE`
`protected static java.lang.String` `SCHEMA_ELEMENT`
`protected static java.lang.String` `SCHEMA_SEQUENCE`

Constructor Summary
`AxisSerializer()`

Method Summary
`java.lang.String` `getMechanismType()`
`org.w3c.dom.Element` `writeSchema(java.lang.Class javaType, org.apache.axis.wsdl.fromJava.Types types)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.encoding.Serializer
`serialize`

Field Detail

### SCHEMA_COMPLEX_TYPE

    protected static final java.lang.String SCHEMA_COMPLEX_TYPE

See Also:
  Constant Field Values

### SCHEMA_ALL

    protected static final java.lang.String SCHEMA_ALL

See Also:
  Constant Field Values

### SCHEMA_ELEMENT

    protected static final java.lang.String SCHEMA_ELEMENT

See Also:
  Constant Field Values

### SCHEMA_SEQUENCE

    protected static final java.lang.String SCHEMA_SEQUENCE

See Also:
  Constant Field Values

Constructor Detail

### AxisSerializer

    public AxisSerializer()

Method Detail

### writeSchema

    public org.w3c.dom.Element writeSchema(java.lang.Class javaType,
                                           org.apache.axis.wsdl.fromJava.Types types)
                                    throws java.lang.Exception

  Specified by:
    `writeSchema` in interface `org.apache.axis.encoding.Serializer`
  Throws:
    `java.lang.Exception`

### getMechanismType

    public java.lang.String getMechanismType()

  Specified by:
    `getMechanismType` in interface `javax.xml.rpc.encoding.Serializer`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.